LocalizedExternalFile (install4j API)
Date: 2010-09-29

Overview | Package | Class | Tree | Deprecated | Index | Help
| install4j API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.install4j.api.beans
Class LocalizedExternalFile

    java.lang.Object
      com.install4j.api.beans.LocalizedExternalFile

    public class LocalizedExternalFile

extends java.lang.Object

Container for a set of localized files that represent a single `ExternalFile` with textual content. If you want the user to be able to specify localized versions of a text file for a single property, you can declare the property to be of type `LocalizedExternalFile`. Important: you have to initialize the field with an instance rather than leave it to be `null`.

In the install4j IDE, the user will be presented with a dialog that allows file selection for all installer languages that are configured on the General Settings->Languages tab. At runtime, call `Context.getExternalFile(LocalizedExternalFile, boolean)` to get the actual file for further use in your bean implementation.

In your bean info, use the `FilePropertyDescriptor` class to register the property. All attributes of `FilePropertyDescriptor` are supported for `LocalizedExternalFile`.

Author:
  ej-technologies GmbH
See Also:
  `ExternalFile`

Constructor Summary
`LocalizedExternalFile()`

Method Summary
`java.util.Map` | `getLanguageIdToExternalFile()` Returns the map from language IDs to `ExternalFile`s.
`void` | `setLanguageIdToExternalFile(java.util.Map languageIdToExternalFile)` Sets the map from language IDs to `ExternalFile`s.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LocalizedExternalFile

    public LocalizedExternalFile()

Method Detail

### getLanguageIdToExternalFile

    public java.util.Map getLanguageIdToExternalFile()

  Returns the map from language IDs to `ExternalFile`s. You do not have to use this method, a more convenient way to retrieve the actual file at runtime is to call `Context.getExternalFile(LocalizedExternalFile, boolean)`.

  Returns:
    the map

### setLanguageIdToExternalFile

    public void setLanguageIdToExternalFile(java.util.Map languageIdToExternalFile)

  Sets the map from language IDs to `ExternalFile`s. This method is called by the install4j IDE.

  Parameters:
    `languageIdToExternalFile` - the map

Overview | Package | Class | Tree | Deprecated | Index | Help
| install4j API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD